Bug 172548 - quagga.spec defines with_vtysh 1 but vtysh is not enabled in the build
quagga.spec defines with_vtysh 1 but vtysh is not enabled in the build
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: quagga (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-06 20:53 EST by Michael Kearey
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 09:12:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Kearey 2005-11-06 20:53:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
quagga.spec defines with-vtysh 1  so vtysh should be an enabled feature in the build.

However, further on in the spec file where the config for the build is defined:

%if %with_vtysh
        --enable-vtysh \
%endif


The syntax is incorrect, so the vtysh feature is not enabled in the build. It should be:

%if %with_vtysh
        --enable-vtysh=yes \
%endif


Version-Release number of selected component (if applicable):
quagga-0.98.5-3

How reproducible:
Always

Steps to Reproduce:
1. Download the src.rpm for quagga from devel
2. Install it
3.  do rpmbuild -ba quagga.spec
4. Test quagga and find that vtysh feature is missing
  

Actual Results:  quagga RPM is built without vtysh feature

Expected Results:  quagga RPM is built with vtysh feature 

Additional info:
Comment 1 Martin Bacovsky 2007-01-22 09:12:11 EST
This issue should be fixed in RAWHIDE (quagga-0.98.6-3.fc7)

Note You need to log in before you can comment on or make changes to this bug.